package com.ruoyi.system.domain.task;

import java.io.Serializable;

public class TkCommonText implements Serializable {
    private String id;

    private String pzKey;

    private String paName;

    private String pzText;

    private String wgcode;

    /**
     * 预留1
     *
     * @mbg.generated
     */
    private String yl1;

    /**
     * 预留2
     *
     * @mbg.generated
     */
    private String yl2;

    /**
     * 预留3
     *
     * @mbg.generated
     */
    private String yl3;

    /**
     * 预留4
     *
     * @mbg.generated
     */
    private String yl4;

    /**
     * 预留5
     *
     * @mbg.generated
     */
    private String yl5;

    /**
     * 预留6
     *
     * @mbg.generated
     */
    private String yl6;

    /**
     * 预留7
     *
     * @mbg.generated
     */
    private String yl7;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPzKey() {
        return pzKey;
    }

    public void setPzKey(String pzKey) {
        this.pzKey = pzKey;
    }

    public String getPaName() {
        return paName;
    }

    public void setPaName(String paName) {
        this.paName = paName;
    }

    public String getPzText() {
        return pzText;
    }

    public void setPzText(String pzText) {
        this.pzText = pzText;
    }

    public String getWgcode() {
        return wgcode;
    }

    public void setWgcode(String wgcode) {
        this.wgcode = wgcode;
    }

    public String getYl1() {
        return yl1;
    }

    public void setYl1(String yl1) {
        this.yl1 = yl1;
    }

    public String getYl2() {
        return yl2;
    }

    public void setYl2(String yl2) {
        this.yl2 = yl2;
    }

    public String getYl3() {
        return yl3;
    }

    public void setYl3(String yl3) {
        this.yl3 = yl3;
    }

    public String getYl4() {
        return yl4;
    }

    public void setYl4(String yl4) {
        this.yl4 = yl4;
    }

    public String getYl5() {
        return yl5;
    }

    public void setYl5(String yl5) {
        this.yl5 = yl5;
    }

    public String getYl6() {
        return yl6;
    }

    public void setYl6(String yl6) {
        this.yl6 = yl6;
    }

    public String getYl7() {
        return yl7;
    }

    public void setYl7(String yl7) {
        this.yl7 = yl7;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pzKey=").append(pzKey);
        sb.append(", paName=").append(paName);
        sb.append(", pzText=").append(pzText);
        sb.append(", wgcode=").append(wgcode);
        sb.append(", yl1=").append(yl1);
        sb.append(", yl2=").append(yl2);
        sb.append(", yl3=").append(yl3);
        sb.append(", yl4=").append(yl4);
        sb.append(", yl5=").append(yl5);
        sb.append(", yl6=").append(yl6);
        sb.append(", yl7=").append(yl7);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkCommonText other = (TkCommonText) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPzKey() == null ? other.getPzKey() == null : this.getPzKey().equals(other.getPzKey()))
            && (this.getPaName() == null ? other.getPaName() == null : this.getPaName().equals(other.getPaName()))
            && (this.getPzText() == null ? other.getPzText() == null : this.getPzText().equals(other.getPzText()))
            && (this.getWgcode() == null ? other.getWgcode() == null : this.getWgcode().equals(other.getWgcode()))
            && (this.getYl1() == null ? other.getYl1() == null : this.getYl1().equals(other.getYl1()))
            && (this.getYl2() == null ? other.getYl2() == null : this.getYl2().equals(other.getYl2()))
            && (this.getYl3() == null ? other.getYl3() == null : this.getYl3().equals(other.getYl3()))
            && (this.getYl4() == null ? other.getYl4() == null : this.getYl4().equals(other.getYl4()))
            && (this.getYl5() == null ? other.getYl5() == null : this.getYl5().equals(other.getYl5()))
            && (this.getYl6() == null ? other.getYl6() == null : this.getYl6().equals(other.getYl6()))
            && (this.getYl7() == null ? other.getYl7() == null : this.getYl7().equals(other.getYl7()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPzKey() == null) ? 0 : getPzKey().hashCode());
        result = prime * result + ((getPaName() == null) ? 0 : getPaName().hashCode());
        result = prime * result + ((getPzText() == null) ? 0 : getPzText().hashCode());
        result = prime * result + ((getWgcode() == null) ? 0 : getWgcode().hashCode());
        result = prime * result + ((getYl1() == null) ? 0 : getYl1().hashCode());
        result = prime * result + ((getYl2() == null) ? 0 : getYl2().hashCode());
        result = prime * result + ((getYl3() == null) ? 0 : getYl3().hashCode());
        result = prime * result + ((getYl4() == null) ? 0 : getYl4().hashCode());
        result = prime * result + ((getYl5() == null) ? 0 : getYl5().hashCode());
        result = prime * result + ((getYl6() == null) ? 0 : getYl6().hashCode());
        result = prime * result + ((getYl7() == null) ? 0 : getYl7().hashCode());
        return result;
    }
}